onEvent('recipes', event => {
	event.recipes.createMixing('kubejs:diamond_ingot', ['steampowered:steel_ingot','minecraft:diamond','minecraft:diamond']).superheated()
	event.recipes.createPressing('kubejs:diamond_sheet', 'kubejs:diamond_ingot')
	
	event.remove({id:'minecraft:stone_sword'})
	event.remove({id:'minecraft:stone_hoe'})
	event.remove({id:'minecraft:stone_shovel'})
	event.remove({id:'minecraft:stone_axe'})
	event.remove({id:'minecraft:stone_pickaxe'})
	event.remove({id:'parrying:stone_mace'})
	event.remove({id:'parrying:stone_hammer'})
	event.remove({id:'parrying:stone_flail'})
	event.remove({id:'parrying:stone_spear'})
	
	event.shaped('minecraft:stone_sword', [
		'P ',
		'P ',
		'SF'
	], {
		F: '#kubejs:bindings',
		P: '#minecraft:stone_tool_materials',
		S: 'minecraft:stick'
	})
	
	event.shaped('minecraft:stone_axe', [
		'PP ',
		'PSF',
		' S '
	], {
		F: '#kubejs:bindings',
		P: '#minecraft:stone_tool_materials',
		S: 'minecraft:stick'
	})
	
	event.shaped('minecraft:stone_hoe', [
		'PP ',
		'FS ',
		' S '
	], {
		F: '#kubejs:bindings',
		P: '#minecraft:stone_tool_materials',
		S: 'minecraft:stick'
	})
	
	event.shaped('parrying:stone_mace', [
		' P ',
		'PSP',
		' SF'
	], {
		F: '#kubejs:bindings',
		P: '#minecraft:stone_tool_materials',
		S: 'minecraft:stick'
	})
	
	event.shaped('parrying:stone_hammer', [
		'PPP',
		'PSP',
		' SF'
	], {
		F: '#kubejs:bindings',
		P: '#minecraft:stone_tool_materials',
		S: 'minecraft:stick'
	})
	
	event.shaped('parrying:stone_spear', [
		'  P',
		' SF',
		'S  '
	], {
		F: '#kubejs:bindings',
		P: '#minecraft:stone_tool_materials',
		S: 'minecraft:stick'
	})
	
	event.shaped('parrying:stone_spear', [
		' FP',
		' S ',
		'S  '
	], {
		F: '#kubejs:bindings',
		P: '#minecraft:stone_tool_materials',
		S: 'minecraft:stick'
	})
	
	event.replaceInput({id:'minecraft:iron_helmet'}, 'minecraft:iron_ingot', 'create:iron_sheet')
	event.replaceInput({id:'minecraft:golden_helmet'}, 'minecraft:gold_ingot', 'create:golden_sheet')
	event.replaceInput({id:'minecraft:diamond_helmet'}, 'minecraft:diamond', 'kubejs:diamond_sheet')
	event.replaceInput({id:'simplysteel:steel_helmet'}, 'steampowered:steel_ingot', 'steampowered:steel_sheet')
	
	event.replaceInput({id:'minecraft:iron_chestplate'}, 'minecraft:iron_ingot', 'create:iron_sheet')
	event.replaceInput({id:'minecraft:golden_chestplate'}, 'minecraft:gold_ingot', 'create:golden_sheet')
	event.replaceInput({id:'minecraft:diamond_chestplate'}, 'minecraft:diamond', 'kubejs:diamond_sheet')
	event.replaceInput({id:'simplysteel:steel_chestplate'}, 'steampowered:steel_ingot', 'steampowered:steel_sheet')
	
	event.replaceInput({id:'minecraft:iron_leggings'}, 'minecraft:iron_ingot', 'create:iron_sheet')
	event.replaceInput({id:'minecraft:golden_leggings'}, 'minecraft:gold_ingot', 'create:golden_sheet')
	event.replaceInput({id:'minecraft:diamond_leggings'}, 'minecraft:diamond', 'kubejs:diamond_sheet')
	event.replaceInput({id:'simplysteel:steel_leggings'}, 'steampowered:steel_ingot', 'steampowered:steel_sheet')
	
	event.replaceInput({id:'minecraft:iron_boots'}, 'minecraft:iron_ingot', 'create:iron_sheet')
	event.replaceInput({id:'minecraft:golden_boots'}, 'minecraft:gold_ingot', 'create:golden_sheet')
	event.replaceInput({id:'minecraft:diamond_boots'}, 'minecraft:diamond', 'kubejs:diamond_sheet')
	event.replaceInput({id:'simplysteel:steel_boots'}, 'steampowered:steel_ingot', 'steampowered:steel_sheet')
	
	event.replaceInput({id:'bettershields:iron_shield'}, 'minecraft:iron_ingot', 'create:iron_sheet')
	event.replaceInput({id:'bettershields:gold_shield'}, 'minecraft:gold_ingot', 'create:golden_sheet')
	event.replaceInput({id:'bettershields:diamond_shield'}, 'minecraft:diamond', 'kubejs:diamond_sheet')
	event.replaceInput({id:'bettershields:steel_shield'}, 'steampowered:steel_ingot', 'steampowered:steel_sheet')
	
	event.replaceInput({id:'create:crafting/appliances/diving_helmet'}, 'create:copper_ingot', 'create:copper_sheet')
	event.replaceInput({id:'create:crafting/appliances/diving_boots'}, 'create:copper_ingot', 'create:copper_sheet')
	
	event.replaceInput({id:'minecraft:diamond_sword'}, 'minecraft:diamond', 'kubejs:diamond_ingot')
	event.replaceInput({id:'minecraft:diamond_shovel'}, 'minecraft:diamond', 'kubejs:diamond_ingot')
	event.replaceInput({id:'minecraft:diamond_pickaxe'}, 'minecraft:diamond', 'kubejs:diamond_ingot')
	event.replaceInput({id:'minecraft:diamond_axe'}, 'minecraft:diamond', 'kubejs:diamond_ingot')
	event.replaceInput({id:'minecraft:diamond_hoe'}, 'minecraft:diamond', 'kubejs:diamond_ingot')
	event.replaceInput({id:'locks:diamond_lock'}, 'minecraft:diamond', 'kubejs:diamond_ingot')
	event.replaceInput({id:'locks:diamond_lock_pick'}, 'minecraft:diamond', 'kubejs:diamond_ingot')
	event.replaceInput({id:'farmersdelight:diamond_knife'}, 'minecraft:diamond', 'kubejs:diamond_ingot')
	event.replaceInput({id:'natural-progression:diamond_saw'}, 'minecraft:diamond', 'kubejs:diamond_ingot')
	event.replaceInput({id:'parrying:diamond_mace'}, 'minecraft:diamond', 'kubejs:diamond_ingot')
	event.replaceInput({id:'parrying:diamond_hammer'}, 'minecraft:diamond', 'kubejs:diamond_ingot')
	event.replaceInput({id:'parrying:diamond_flail'}, 'minecraft:diamond', 'kubejs:diamond_ingot')
	event.replaceInput({id:'parrying:diamond_spear'}, 'minecraft:diamond', 'kubejs:diamond_ingot')
	
	event.replaceInput({id:'minecraft:bucket'}, 'minecraft:iron_ingot', 'create:iron_sheet')
})